<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$usuario = isset($_POST['usuario']) ? $_POST['usuario'] : NULL;
$email = isset($_POST['email']) ? $_POST['email'] : NULL;
$email = strtolower($email);
$telefono = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$clave = isset($_POST['clave']) ? $_POST['clave'] : NULL;
$clave = md5($clave);
$nivel = isset($_POST['nivel']) ? $_POST['nivel'] : NULL;
//$nivel = 1;

$autor = $_SESSION['administrador_mago_id'];
$fecha = date('Y-m-d H:i:s');

		$datos = array(
			'nombre'			=> $db->string($nombre),
			'usuario'			=> $db->string($usuario),
			'email'				=> $db->string($email),
			'clave'				=> $db->string($clave),
			'nivel'				=> @$nivel+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha),
			'fecha_edicion'		=> $db->string($fecha)
		);

		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);
		
		if (!empty($id)) {
			$mensaje_respuesta = 'Fue agregado de forma correcta.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO."/agregar/";
		}

echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>